- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Signals | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Friends

# QWSServer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 209 of file qwindowsystem_qws.h.

`#include <qwindowsystem_qws.h>`

Inheritance diagram for QWSServer:
[legend]

List of all members.

## Classes
class | KeyboardFilter
## Public Types
enum | ServerFlags { DisableKeyboard = 0x01, DisableMouse = 0x02 }
enum | IMMouse { MousePress, MouseRelease, MouseMove, MouseOutside }
enum | WindowEvent { Create = 0x0001, Destroy = 0x0002, Hide = 0x0004, Show = 0x0008, Raise = 0x0010, Lower = 0x0020, Geometry = 0x0040, Active = 0x0080, Name = 0x0100 }
## Signals
void | windowEvent (QWSWindow *w, QWSServer::WindowEvent e)
void | newChannel (const QString &channel)
void | removedChannel (const QString &channel)
void | markedText (const QString &)
## Public Member Functions
| QWSServer (int flags=0, QObject *parent=0)
| ~QWSServer ()
void | sendIMEvent (const QInputMethodEvent *)
void | sendIMQuery (int property)
QWSWindow * | windowAt (const QPoint &pos)
const QList< QWSWindow * > & | clientWindows ()
void | openMouse ()
void | closeMouse ()
void | suspendMouse ()
void | resumeMouse ()
void | openKeyboard ()
void | closeKeyboard ()
void | refresh ()
void | refresh (QRegion &)
void | enablePainting (bool)
void | sendPropertyNotifyEvent (int property, int state)
const QBrush & | backgroundBrush () const
## Static Public Member Functions
static void | sendKeyEvent (int unicode, int keycode, Qt::KeyboardModifiers modifiers, bool isPress, bool autoRepeat)
static void | processKeyEvent (int unicode, int keycode, Qt::KeyboardModifiers modifiers, bool isPress, bool autoRepeat)
static QWSServer * | instance ()
static void | addKeyboardFilter (KeyboardFilter *f)
static void | removeKeyboardFilter ()
static void | setCurrentInputMethod (QWSInputMethod *im)
static void | resetInputMethod ()
static void | setDefaultMouse (const char *)
static void | setDefaultKeyboard (const char *)
static void | setMaxWindowRect (const QRect &)
static void | sendMouseEvent (const QPoint &pos, int state, int wheel=0)
static void | setBackground (const QBrush &)
static QWSMouseHandler * | mouseHandler ()
static const QList < QWSMouseHandler * > & | mouseHandlers ()
static void | setMouseHandler (QWSMouseHandler *)
static QWSKeyboardHandler * | keyboardHandler ()
static void | setKeyboardHandler (QWSKeyboardHandler *kh)
static void | setScreenSaver (QWSScreenSaver *)
static void | setScreenSaverIntervals (int *ms)
static void | setScreenSaverInterval (int)
static void | setScreenSaverBlockLevel (int)
static bool | screenSaverActive ()
static void | screenSaverActivate (bool)
static void | processEventQueue ()
static QList < QWSInternalWindowInfo * > * | windowList ()
static void | startup (int flags)
static void | closedown ()
static void | beginDisplayReconfigure ()
static void | endDisplayReconfigure ()
static void | setCursorVisible (bool)
static bool | isCursorVisible ()
## Static Public Attributes
static QPoint | mousePosition
## Protected Member Functions
void | timerEvent (QTimerEvent *e)
## Friends
class | QCopChannel
class | QWSMouseHandler
class | QWSWindow
class | QWSDisplay
class | QWSInputMethod
class | QApplicationPrivate

## Member Enumeration Documentation

enum ServerFlags

Search for all occurrences

Enumerator:

  DisableKeyboard | Search for all occurrences
  DisableMouse | Search for all occurrences

Definition at line 224 of file qwindowsystem_qws.h.

                         { DisableKeyboard = 0x01,
                           DisableMouse = 0x02 };

enum IMMouse

Search for all occurrences

Enumerator:

  MousePress | Search for all occurrences
  MouseRelease | Search for all occurrences
  MouseMove | Search for all occurrences
  MouseOutside | Search for all occurrences

Definition at line 240 of file qwindowsystem_qws.h.

    { MousePress, MouseRelease, MouseMove, MouseOutside }; //MouseMove reserved but not used

enum WindowEvent

Search for all occurrences

Enumerator:

  Create | Search for all occurrences
  Destroy | Search for all occurrences
  Hide | Search for all occurrences
  Show | Search for all occurrences
  Raise | Search for all occurrences
  Lower | Search for all occurrences
  Geometry | Search for all occurrences
  Active | Search for all occurrences
  Name | Search for all occurrences

Definition at line 324 of file qwindowsystem_qws.h.

                         { Create=0x0001, Destroy=0x0002, Hide=0x0004, Show=0x0008,
                           Raise=0x0010, Lower=0x0020, Geometry=0x0040, Active = 0x0080,
                           Name=0x0100 };

## Constructor & Destructor Documentation

QWSServer | ( | int | flags = `0`,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

~QWSServer | ( |  | ) |

## Member Function Documentation

static void sendKeyEvent | ( | int | unicode,
|  | int | keycode,
|  | Qt::KeyboardModifiers | modifiers,
|  | bool | isPress,
|  | bool | autoRepeat
| ) |  | `[static]`

Search for all occurrences

static void processKeyEvent | ( | int | unicode,
|  | int | keycode,
|  | Qt::KeyboardModifiers | modifiers,
|  | bool | isPress,
|  | bool | autoRepeat
| ) |  | `[static]`

Search for all occurrences

static QWSServer* instance | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 234 of file qwindowsystem_qws.h.

    { return qwsServer; }

void sendIMEvent | ( | const QInputMethodEvent * |  | ) |

Search for all occurrences

void sendIMQuery | ( | int | property | ) |

Search for all occurrences

static void addKeyboardFilter | ( | KeyboardFilter * | f | ) | `[static]`

Search for all occurrences

static void removeKeyboardFilter | ( |  | ) | `[static]`

Search for all occurrences

static void setCurrentInputMethod | ( | QWSInputMethod * | im | ) | `[static]`

Search for all occurrences

static void resetInputMethod | ( |  | ) | `[static]`

Search for all occurrences

static void setDefaultMouse | ( | const char * |  | ) | `[static]`

Search for all occurrences

static void setDefaultKeyboard | ( | const char * |  | ) | `[static]`

Search for all occurrences

static void setMaxWindowRect | ( | const QRect & |  | ) | `[static]`

Search for all occurrences

static void sendMouseEvent | ( | const QPoint & | pos,
|  | int | state,
|  | int | wheel = `0`
| ) |  | `[static]`

Search for all occurrences

static void setBackground | ( | const QBrush & |  | ) | `[static]`

Search for all occurrences

static QWSMouseHandler* mouseHandler | ( |  | ) | `[static]`

Search for all occurrences

static const QList<QWSMouseHandler*>& mouseHandlers | ( |  | ) | `[static]`

Search for all occurrences

static void setMouseHandler | ( | QWSMouseHandler * |  | ) | `[static]`

Search for all occurrences

static QWSKeyboardHandler* keyboardHandler | ( |  | ) | `[static]`

Search for all occurrences

static void setKeyboardHandler | ( | QWSKeyboardHandler * | kh | ) | `[static]`

Search for all occurrences

QWSWindow* windowAt | ( | const QPoint & | pos | ) |

Search for all occurrences

const QList<QWSWindow*>& clientWindows | ( |  | ) |

Search for all occurrences

void openMouse | ( |  | ) |

Search for all occurrences

void closeMouse | ( |  | ) |

Search for all occurrences

void suspendMouse | ( |  | ) |

Search for all occurrences

void resumeMouse | ( |  | ) |

Search for all occurrences

void openKeyboard | ( |  | ) |

Search for all occurrences

void closeKeyboard | ( |  | ) |

Search for all occurrences

static void setScreenSaver | ( | QWSScreenSaver * |  | ) | `[static]`

Search for all occurrences

static void setScreenSaverIntervals | ( | int * | ms | ) | `[static]`

Search for all occurrences

static void setScreenSaverInterval | ( | int |  | ) | `[static]`

Search for all occurrences

static void setScreenSaverBlockLevel | ( | int |  | ) | `[static]`

Search for all occurrences

static bool screenSaverActive | ( |  | ) | `[static]`

Search for all occurrences

static void screenSaverActivate | ( | bool |  | ) | `[static]`

Search for all occurrences

void refresh | ( |  | ) |

Search for all occurrences

void refresh | ( | QRegion & |  | ) |

Search for all occurrences

void enablePainting | ( | bool |  | ) |

Search for all occurrences

static void processEventQueue | ( |  | ) | `[static]`

Search for all occurrences

static QList<QWSInternalWindowInfo*>* windowList | ( |  | ) | `[static]`

Search for all occurrences

void sendPropertyNotifyEvent | ( | int | property,
|  | int | state
| ) |  |

Search for all occurrences

static void startup | ( | int | flags | ) | `[static]`

Search for all occurrences

static void closedown | ( |  | ) | `[static]`

Search for all occurrences

static void beginDisplayReconfigure | ( |  | ) | `[static]`

Search for all occurrences

static void endDisplayReconfigure | ( |  | ) | `[static]`

Search for all occurrences

static void setCursorVisible | ( | bool |  | ) | `[static]`

Search for all occurrences

static bool isCursorVisible | ( |  | ) | `[static]`

Search for all occurrences

const QBrush& backgroundBrush | ( |  | ) | const

Search for all occurrences

void windowEvent | ( | QWSWindow * | w,
|  | QWSServer::WindowEvent | e
| ) |  | `[signal]`

Search for all occurrences

void newChannel | ( | const QString & | channel | ) | `[signal]`

Search for all occurrences

void removedChannel | ( | const QString & | channel | ) | `[signal]`

Search for all occurrences

void markedText | ( | const QString & |  | ) | `[signal]`

Search for all occurrences

void timerEvent | ( | QTimerEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Friends And Related Function Documentation

friend class QCopChannel `[friend]`

Search for all occurrences

Definition at line 211 of file qwindowsystem_qws.h.

friend class QWSMouseHandler `[friend]`

Search for all occurrences

Definition at line 212 of file qwindowsystem_qws.h.

friend class QWSWindow `[friend]`

Search for all occurrences

Definition at line 213 of file qwindowsystem_qws.h.

friend class QWSDisplay `[friend]`

Search for all occurrences

Definition at line 214 of file qwindowsystem_qws.h.

friend class QWSInputMethod `[friend]`

Search for all occurrences

Definition at line 215 of file qwindowsystem_qws.h.

friend class QApplicationPrivate `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 344 of file qwindowsystem_qws.h.

## Member Data Documentation

QPoint mousePosition `[static]`

Search for all occurrences

Definition at line 309 of file qwindowsystem_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qwindowsystem_qws.h

QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer
QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer QWSServer